Subject: bug#16271: warn about quoted const's in defcustom

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 11 May 2022 12:53:24 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> And this really means 'nicknames.  Anybody got any suggestions how to
> work around that?

I just changed that form, since it seemed pretty nonsensical anyway.

I've now pushed this checker to Emacs 29, and it found a handful of
wrongly quoted symbols, which I've also fixed.

However, as the 'nicknames thing shows, there may be legitimate usages
of the 'foo form, so perhaps the checker should be hidden behind a user
option.  But I guess we'll find out.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no